/* Adriver Flash-ScreenOrientation-AjaxJS code. Developed A.Fedotov 02.10.2014. Last edited A.Fedotov 29.05.2015 */

/* Editable block */

var ar_img_portrait = 'portrait.png',      // заглушка для портретной ориентации
	ar_flash_portrait = 'portrait.swf',    // flash для портретной ориентации
	ar_width_portrait = '240',             // ширина для портретной ориентации
	ar_height_portrait = '400',            // высота для портретной ориентации
	ar_img_landscape = 'landscape.png',    // заглушка для пейзажной ориентации
	ar_flash_landscape = 'landscape.swf',  // flash для пейзажной ориентации
	ar_width_landscape = '400',            // ширина для пейзажной ориентации
	ar_height_landscape = '240',           // высота для пейзажной ориентации
	ar_flashver = '5',                     // версия Flash-плеера, необходимая для просмотра Flash-ролика
	ar_quality = 'best',                   // качество отображения flash-клипа
	ar_wmode = 'transparent',              // прозрачность
	ar_flash_pixels = '',                  // сторонний счетчик для flash-клипа
	ar_gif_pixels = '',                    // сторонний счетчик для картинки
	ar_viewability = '0';                  // учитывать viewability (1 - учитывать, 0 - не учитывать)

/*  End of editable block */
	
var a = adriver(ar_ph);

function addClickCoord(cont) {
	var link = cont.getElementsByTagName('a');
	link = link[0];

	a.addEvent(link, 'click', function (e) { adriver.clickCoord.calc(e, link, cont); });
}

function draw() {
	a.onDomReady(function () {
		var portrait, landscape, flParams = {}, params = {visibility: 'hidden', position: 'absolute', top: 0, left: 0, width: '100\x25', height: '100\x25'};

		function toggle(isPortrait) {
			portrait.style.visibility = isPortrait ? 'visible' : 'hidden';
			landscape.style.visibility = isPortrait ? 'hidden' : 'visible';

			adriver.extend(a.p.style, {
				width: a.normalize(isPortrait ? ar_width_portrait : ar_width_landscape),
				height: a.normalize(isPortrait ? ar_height_portrait : ar_height_landscape)
			});

			if (a.VA) {
				a.VA.setPH(isPortrait ? portrait : landscape);
				a.VA.check();
			}
		}

		function onResize() {
			var sg = a.getScreenGeometry();
			toggle(sg.ch > sg.cw ? 1 : 0);
		}

		function makeOvers(portrait, landscape) {
			var overs = [],
				portraitOver = new a.CheckOverConstant(a, portrait.firstChild),
				landscapeOver = new a.CheckOverConstant(a, landscape.firstChild),
				overEnd = portraitOver.end;

			overs.push(portraitOver);
			overs.push(landscapeOver);

			portraitOver.end = landscapeOver.end = function () {
				for (var i in overs) if (overs.hasOwnProperty(i)) {
					overEnd.call(overs[i]);
				}
			};
		}

		adriver.extend(a.p.style, {position: 'relative', width: 0, height: 0});

		if (a.hasFlash(ar_flashver)) {
			ar_quality && (flParams.quality = ar_quality);
			ar_wmode && (flParams.wmode = ar_wmode);

			portrait = a.addDiv(a.p, params, a.makeFlash(ar_flash_portrait, flParams));
			landscape = a.addDiv(a.p, params, a.makeFlash(ar_flash_landscape, flParams));

			makeOvers(portrait, landscape);

			a.sendPixels(ar_flash_pixels);
		} else if (ar_img_portrait && ar_img_landscape) {
			portrait = a.addDiv(a.p, params, a.makeImage(ar_img_portrait, null, '100\x25', '100\x25'));
			landscape = a.addDiv(a.p, params, a.makeImage(ar_img_landscape, null, '100\x25', '100\x25'));

			addClickCoord(portrait);
			addClickCoord(landscape);

			makeOvers(portrait, landscape);

			a.sendPixels(ar_gif_pixels);
		}

		ar_viewability && (a.VA = new adriver.VA({a: a}));

		a.addEvent(window, 'resize', onResize);
		onResize();

		a.loadComplete();
	});
}

if (ar_viewability) {
	new adriver.Plugin.require('functions.adriver', 'pixel.adriver', 'checkFlash.adriver', 'makeFlash.adriver', 'makeImage.adriver', 'clickCoord.adriver', 'checkOver.adriver', 'viewability.adriver').onLoadComplete(draw);
} else {
	new adriver.Plugin.require('functions.adriver', 'pixel.adriver', 'checkFlash.adriver', 'makeFlash.adriver', 'makeImage.adriver', 'clickCoord.adriver', 'checkOver.adriver').onLoadComplete(draw);
}